bennaBietole = {};
function bennaBietole.prerequisitesPresent(specializations) return true; end;
function bennaBietole:load(xmlFile) self.isReset = false; self.isResetTM = false; end;
function bennaBietole:delete() end;
function bennaBietole:mouseEvent(posX, posY, isDown, isUp, button) end;
function bennaBietole:keyEvent(unicode, sym, modifier, isDown) end;
function bennaBietole:update(dt) if self:getIsActiveForInput() and InputBinding.isPressed(InputBinding.active) then self.isResetTM = false; end; end;
function bennaBietole:loadFromAttributesAndNodes(xmlFile, key, resetVehicles) return BaseMission.VEHICLE_LOAD_OK; end;
function bennaBietole:getSaveAttributesAndNodes(nodeIdent) end;
function bennaBietole:updateTick(dt) if self.currentAttacco == 4 then if self.isResetTM == false then self:playAnimation("telaioMobile", 1); self.isResetTM = true; end; 
	if self.isReset == false then self:playAnimation("tubiIdraulici", -1); self:playAnimation("telaioMobile", 1); self.isReset = true; end; end; end;
function bennaBietole:draw() end;
function bennaBietole:onAttach(attacherVehicle, jointDescIndex) self.isReset = false; self:playAnimation("tubiIdraulici", 1); end;
function bennaBietole:onDetach() self:playAnimation("tubiIdraulici", -1); end;
function bennaBietole:onDeactivate() end;